Subject: Re: bug#21925: Additional information for bug report: 21925

From: [email-masked] (Ludovic Courtès)
Date: Mon, 16 Nov 2015 17:44:42 +0100

Chris Marusich <[email-masked]> skribis:

> I've noticed that I also experience similar failures when I try to
> install certain packages. For example, I cannot install ncurses or
> autoconf:
>
> marusich@garuda ~$ guix package -i autoconf
> guix package: error: socket: Protocol not supported
> marusich@garuda ~$ guix package -i ncurses
> guix package: error: socket: Protocol not supported

Could you apply this patch:

diff --git a/guix/ftp-client.scm b/guix/ftp-client.scm
index f02d460..e76f08a 100644
--- a/guix/ftp-client.scm
+++ b/guix/ftp-client.scm
@@ -140,8 +140,9 @@ TIMEOUT, an ETIMEDOUT error is raised."
 
   (let loop ((addresses addresses))
     (let* ((ai (car addresses))
-           (s  (socket (addrinfo:fam ai) SOCK_STREAM ;TCP only
-                       (addrinfo:protocol ai))))
+           (s  (socket (addrinfo:fam ai)
+                       ;; TCP/IP only
+                       SOCK_STREAM IPPROTO_IP)))
 
       (catch 'system-error
         (lambda ()

and then try again, with:

  ./pre-inst-env guix package -i autoconf

(I can provided more info on how to apply the patch if needed.  See also
<http://www.gnu.org/software/guix/manual/html_node/Running-Guix-Before-It-Is-Installed.html>.)

This may be a regression introduced in 279ec1d.

TIA!

Ludo’.